Bug 1146573 - qemu core dump when boot guest with smp(num)<cores(num)
Summary: qemu core dump when boot guest with smp(num)<cores(num)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-25 14:25 UTC by langfang
Modified: 2015-03-05 09:56 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:56:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description langfang 2014-09-25 14:25:50 UTC
Description of problem:

qemu core dump when boot guest with cores(num) >smp(num)

Version-Release number of selected component (if applicable):

Host:
# uname -r
3.10.0-169.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.0-4.el7.x86_64

How reproducible:

100%

Steps to Reproduce:
1.Boot guest with " -smp 2,sockets=1,cores=4,threads=1 "

2.
3.

Actual results:
qemu-kvm: /builddir/build/BUILD/qemu-2.1.0/hw/i386/smbios.c:826: smbios_get_tables: Assertion `smbios_smp_sockets >= 1' failed.

Program received signal SIGABRT, Aborted.
0x00007ffff20cb989 in raise () from /usr/lib64/libc.so.6
(gdb) bt
#0  0x00007ffff20cb989 in raise () from /usr/lib64/libc.so.6
#1  0x00007ffff20cd098 in abort () from /usr/lib64/libc.so.6
#2  0x00007ffff20c48f6 in __assert_fail_base () from /usr/lib64/libc.so.6
#3  0x00007ffff20c49a2 in __assert_fail () from /usr/lib64/libc.so.6
#4  0x0000555555683ff6 in smbios_get_tables (
    tables=tables@entry=0x7fffffffdd38, 
    tables_len=tables_len@entry=0x7fffffffdd48, 
    anchor=anchor@entry=0x7fffffffdd40, 
    anchor_len=anchor_len@entry=0x7fffffffdd50)
    at /usr/src/debug/qemu-2.1.0/hw/i386/smbios.c:826
#5  0x0000555555686f29 in bochs_bios_init ()
    at /usr/src/debug/qemu-2.1.0/hw/i386/pc.c:683
#6  pc_memory_init (machine=machine@entry=0x55555615cba0, 
    system_memory=system_memory@entry=0x55555615dad0, 
    below_4g_mem_size=3221225472, above_4g_mem_size=<optimized out>, 
    rom_memory=rom_memory@entry=0x555556168070, 
    ram_memory=ram_memory@entry=0x7fffffffde30, 
    guest_info=guest_info@entry=0x555556167c20)
    at /usr/src/debug/qemu-2.1.0/hw/i386/pc.c:1283
#7  0x0000555555688596 in pc_init1 (machine=0x55555615cba0, 
    kvmclock_enabled=1, pci_enabled=1)
    at /usr/src/debug/qemu-2.1.0/hw/i386/pc_piix.c:181
#8  0x000055555561bb33 in main (argc=<optimized out>, argv=<optimized out>, 
---Type <return> to continue, or q <return> to quit---
    envp=<optimized out>) at vl.c:4421

(gdb) 


Expected results:
Should not core dump

Additional info:


1)Test on rhel7.0GA ,work well
qemu-kvm-1.5.3-60.el7.x86_64.

2)Boot with "-smp 4,sockets=2,cores=6,threads=1"--->hit

3)CLI:
 /usr/libexec/qemu-kvm -cpu SandyBridge -enable-kvm -m 4G -smp 2,sockets=2,cores=4,threads=1 -name test -rtc base=localtime,clock=host,driftfix=slew -k en-us -boot menu=on -vnc :4 -vga cirrus -usb -device usb-tablet -monitor stdio -drive file=/home/RHEL-Server-7.0-64.qcow2,if=none,id=drive-system-disk,media=disk,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,drive=drive-system-disk,id=system-disk,addr=0x3 -qmp unix:/tmp/q1,server,nowait -object rng-random,id=rng0,filename=/dev/urandom -device virtio-rng-pci,rng=rng0 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=vnet0,mac=22:64:03:19:2b:02

Comment 2 langfang 2014-09-26 07:43:22 UTC
Add the keyworrds "Regression" ,because rhel7.0GA not have the problem.

Comment 4 Eduardo Habkost 2014-09-30 01:22:54 UTC
Bug reproduced. Fix submitted upstream.

Comment 7 Miroslav Rezanina 2014-11-06 18:32:58 UTC
Fix included in qemu-kvm-rhev-2.1.2-7.el7

Comment 9 langfang 2014-11-20 04:54:57 UTC
Test this bug on latest version,not hit the problem any more

Version:
Host:
# uname -r
3.10.0-205.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-8.el7.x86_64


Steps:
1.boot guest with 
"-smp 2,sockets=1,cores=4,threads=1 "


Results:guest work well

Addtional: test other paramerters ,work well 



According to above test ,this bug fixed.we can verify this bug.

Comment 12 errata-xmlrpc 2015-03-05 09:56:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.